# class Navigator

#### package js.html

Available on HTML5

The `Navigator` interface represents the state and the identity of the user agent. It allows scripts to query it and to register themselves to carry on some activities.

Documentation Navigator by Mozilla Contributors, licensed under CC-BY-SA 2.5.

See:

https://developer.mozilla.org/en-US/docs/Web/API/Navigator

### Variables

###

`read onlyappCodeName:String`

###

`read onlyappName:String`

###

`read onlyappVersion:String`

###

`read onlybattery:BatteryManager`

Returns a `BatteryManager` object you can use to get information about the battery charging status.

###

`read onlybuildID:String`

###

`read onlycookieEnabled:Bool`

Returns a boolean indicating whether cookies are enabled in the browser or not.

###

`read onlydoNotTrack:String`

Reports the value of the user's do-not-track preference. When this value is "yes", your web site or application should not track the user.

###

`read onlygeolocation:Geolocation`

Returns a `Geolocation` object allowing accessing the location of the device.

###

`read onlyhardwareConcurrency:Int`

###

`read onlylanguage:String`

###

`read onlylanguages:Array<String>`

###

`read onlymaxTouchPoints:Int`

###

`read onlymimeTypes:MimeTypeArray`

###

`read onlyonLine:Bool`

###

`read onlyoscpu:String`

Returns a string that represents the current operating system.

###

`read onlypermissions:Permissions`

Returns a `Permissions` object that can be used to query and update permission status of APIs covered by the Permissions API.

###

`read onlyplatform:String`

###

`read onlyplugins:PluginArray`

###

`read onlyproduct:String`

###

`read onlyproductSub:String`

Returns the build number of the current browser (e.g., "20060909").

###

`read onlyuserAgent:String`

###

`read onlyvendor:String`

Returns the vendor name of the current browser (e.g., "Netscape6").

###

`read onlyvendorSub:String`

Returns the vendor version number (e.g. "6.1").

### Methods

###

`getBattery ():Promise<BatteryManager>`

Throws:

`null` | DOMError

###

`getGamepads ():Array<Gamepad>`

Throws:

`null` | DOMError

###

`javaEnabled ():Bool`

Throws:

`null` | DOMError

###

`registerContentHandler (mimeType:String, url:String, title:String):Void`

Throws:

`null` | DOMError

###

`registerProtocolHandler (scheme:String, url:String, title:String):Void`

Throws:

`null` | DOMError

###

`sendBeacon (url:String, ?data:EitherType<ArrayBufferView, EitherType<Blob, EitherType<String, FormData>>>):Bool`

Throws:

`null` | DOMError

###

`taintEnabled ():Bool`

###

`vibrate (pattern:Array<Int>):Bool`

`vibrate (duration:Int):Bool`